# Fax2 API Java demo 

This package contains source for a java application that demonstrates basic usage of the Fax2 API for sending and receiving faxes.

This ia a Maven project.  It employs the Apache `httpclient` package for HTTP communication, and Google's `gson` for parsing JSON.  It is tested to work with Java SE 8 and maven 3.3.9, and should work without issue on later versions of either.

To use it, first update `fax2demo.properties` with your Fax2 login details and a destination fax number.

Then compile with:

      mvn compile
      
To send a fax:

      mvn exec:java -Dexec.mainClass=SendFax
      
This will send a 2 page fax containing a sample text message and a sample PDF document, to the number you have provided via `fax2demo.properties`.

To receive faxes:

      mvn exec:java -Dexec.mainClass=ReceiveFaxes
      
This periodically checks newly received faxes, and writes each as it arrives to a file containing the date and time that the fax was received.

More info on the Fax2 API can be found at:

<https://www.fax2.com.au/api>
